#!/usr/bin/env zsh

exec nvim -u NONE \
    -c 'packadd leap.nvim' \
    -c "lua require('leap').add_default_mappings()" \
    -c 'highlight link LeapBackdrop Comment' \
    -c "lua require('nvim-treesitter.configs').setup({highlight={enable=true}})" \
    -c 'packadd nightfox.nvim' \
    -c 'colorscheme carbonfox' \
    -c 'startinsert' \
    "${@}"
